Generate Report for Financial Consolidation and Close, Tax Reporting, Enterprise Profitability and Cost Management and Planning
Generates a report for Financial Consolidation and Close (Task Manager, Supplemental Data, and Enterprise Journal), Tax Reporting (Task Manager and Supplemental Data), Enterprise Profitability and Cost Management (Task Manager) and Planning (when Task Manager is enabled).
Note:
All parameters must be specified for a report.REST Resource
POST /HyperionPlanning/rest/fcmapi/{api_version}/reportRequired Roles
Service Administrator, Power User, User, Viewer
Request
Supported Media Types:
application/json
The following table summarizes the client request.
Table 15-11 Report Parameters
| Name | Description | Path | Required |
|---|---|---|---|
groupName |
The name of the group the report is associated with. | No | Yes |
reportName |
The name of the report to be generated. | No | Yes |
generatedReportFileName |
Specify the name of the generated report, including the file
extension that matches the selected report format. If you omit this
parameter, the system will use the value from the
reportName parameter defined in the table
below. This process overwrites existing files of the same name on
the server.
|
No | No |
parameters |
Each report may have different parameters. Types of
parameters:
|
No | No |
format |
The format of the report (HTML, PDF, XLSX, or CSV). | No | No (Default is PDF) |
module |
Module for which the report is created. For Supplemental Data, use SDM. For Task Manager, use FCM. | No | No |
emails |
Comma separated list of email addresses that will receive the
report.
Ensure the generated report size does not exceed 60 MB
when the |
No | No |
runAsync |
Generation of report runs asynchronously (true) or synchronously
(false).
Oracle recommends setting this value to true (async) for larger reports. An example of request body and output is shown. |
No | No (Default is false) |
For details about reportName or parameters, see
these topics in Administering Financial Consolidation and Close:
- Task Manager: Using Reports
- Supplemental Data Manager: Using Reports
For details about Output Format, see Generating the Report.
For details about retrieving job status while running reports, see Retrieve Job Status for a Report.
Example of request body (to be run synchronously)
{
"groupName":"Task Manager",
"reportName":"Late Tasks",
"generatedReportFileName":"myReport.pdf",
"parameters":{"Schedule" : "Qtr 2 Close", "Period":"Jun" },
"format":"PDF",
"module":"FCM",
"emails":"user1@oracle.com,user2@oracle.com",
"runAsync":false
}
Example of request body (to be run asynchronously for larger reports)
{
"groupName":"Task Manager",
"reportName":"Late Tasks",
"generatedReportFileName":"myReport.pdf",
"parameters":{"Schedule" : "Qtr 2 Close", "Period":"Jun" },
"format":"PDF",
"module":"FCM",
"emails":"user1@oracle.com,user2@oracle.com",
"runAsync":true
}Response
Supported Media Types:
application/json
Parameters:
Table 15-12 Parameters
| Name | Description |
|---|---|
type |
Type of report: SDM (Supplemental Data Management) or FCCS {Task Manager). |
details |
In case of errors, details are published with the error string |
status |
See Migration Status Codes |
links |
Detailed information about the link |
href |
Links to the API call |
action |
The HTTP call type |
rel |
Relationship type (self, Job
Status). If set to Job Status, you can
use the href to get the status of the
operation.
|
data |
Parameters as key value pairs passed in the request |
Examples of Response Body
The following is an example of the response body in JSON format for a Financial Consolidation and Close report called MyReport in pdf format that was run successfully synchronously (runAsync=false):
{
"links": [
{
"rel": "self",
"href":
"https://<BASE-URL>/HyperionPlanning/rest/fcmapi/v1/myReport.pdf",
"action": "POST"
},
{
"rel": "report-content",
"href":
"https://<BASE-URL>/HyperionPlanning/rest/fcmapi/v1/myReport.pdf",
"action": "POST"
"GET"
}
],
"details": "MyReport.pdf",
"type": "FCCS",
"status": 0,
"link": null,
"error": null,
"items": null
}
The following is an example of the response body in JSON format for a Financial Consolidate and Close report generated asynchronously (runAsync=true) where the report is "In Process" and you can use the Job ID generated to retrieve the job status. See Retrieve Job Status for a Report:
{
"links":[
{
"rel":"self",
"href": "https://<SERVICE_NAME>-<TENANT_NAME>.<dcX>.oraclecloud.com/HyperionPlanning/rest/fcmapi/v1/report",
"action": "POST"
},
{
"rel":"Job Status",
"href": "https://<SERVICE_NAME>-<TENANT_NAME>.<dcX>.oraclecloud.com/HyperionPlanning/rest/fcmapi/v1/report/job/FCCS/100000001001009",
"action": "GET"
}
],
"details":"In Process",
"status":-1,
"type":"FCCS",
"link":null,
"error":null
"items":null
}